# eric4.Plugins.VcsPlugins.vcsPySvn.SvnLoginDialog

Module implementing the login dialog for pysvn.

### Classes

SvnLoginDialog | Class implementing the login dialog for pysvn.

### Functions

None

## SvnLoginDialog

Class implementing the login dialog for pysvn.

### Derived from

QDialog, Ui_SvnLoginDialog

### Methods

SvnLoginDialog | Constructor
getData | Public method to retrieve the login data.

#### SvnLoginDialog (Constructor)

SvnLoginDialog(realm, username, may_save, parent = None)

Constructor

realm
  name of the realm of the requested credentials (string)
username
  username as supplied by subversion (string)
may_save
  flag indicating, that subversion is willing to save the answers returned (boolean)

#### SvnLoginDialog.getData

getData()

Public method to retrieve the login data.

Returns:
  tuple of three values (username, password, save)

Up